=== debian/changelog ===
ros-r2b3-rclpy (0.0.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Esteve Fernandez <esteve@osrfoundation.org>  Wed, 13 Sep 2017 23:53:31 -0000
